%define upstream_name	 HTML-TokeParser-Simple
%define upstream_version 3.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Easy to use HTML::TokeParser interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/O/OV/OVID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) >= 3.250.0
BuildRequires: perl(HTML::TokeParser) >= 2.240.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Sub::Override)
BuildRequires: perl(Test::More)
BuildRequires: perl-HTML-Parser >= 3.35
BuildRequires: perl-Sub-Override
BuildArch:  noarch

%description
HTML::TokeParser::Simple is a subclass of HTML::TokeParser that uses
easy-to-remember method calls to work with the tokens.  Rather than
try to remember a bunch of array indices or try to write a bunch of
constants for them, you can now do something like:

 $token->is_start_tag( 'form' )

instead of 

 $token->[0] eq 'S' and $token->[1] eq 'form'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 'tr/\r//d;' Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/HTML
%{_mandir}/*/*

%changelog
* Sun Oct 19 2014 umeabot <umeabot> 3.160.0-5.mga5
+ Revision: 790014
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.160.0-4.mga5
+ Revision: 742933
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.160.0-3.mga5
+ Revision: 684981
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.160.0-2.mga4
+ Revision: 528712
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 3.160.0-1.mga4
+ Revision: 446966
- update to 3.16

* Sun Jan 13 2013 umeabot <umeabot> 3.150.0-2.mga3
+ Revision: 368184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 3.150.0-1.mga1
+ Revision: 30518
- mageia rebuild
- imported package perl-HTML-TokeParser-Simple


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 3.150.0-1mdv2010.0
+ Revision: 403264
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 3.15-3mdv2009.0
+ Revision: 257240
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 3.15-1mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 03 2007 Stefan van der Eijk <stefan@mandriva.org> 3.15-1mdv2007.0
+ Revision: 103808
- Import perl-HTML-TokeParser-Simple

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.15-1mdk
- New release 3.15

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.14-1mdk
- New release 3.14
- spec cleanup
- fix directory ownership
- fix source url
- %%mkrel
- fix doc encoding

* Tue Jan 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.13-1mdk
- 3.13
- Remove MANIFEST, change summary and URL; de-PREFIXify

* Tue Apr 20 2004 Stefan van der Eijk <stefan@eijk.nu> 2.2-1mdk
- initial package

